Separator
Elementary

Separator is a very thin object used to separate other objects. More...

## Macros

#define | ELM_SEPARATOR_CLASS elm_separator_class_get()
| Elementary separator class.

## Functions

EOAPI void | elm_obj_separator_horizontal_set (Eo *obj, Eina_Bool horizontal)
| Set the horizontal mode of a separator object.
EOAPI Eina_Bool | elm_obj_separator_horizontal_get (const Eo *obj)
| Get the horizontal mode of a separator object.
Evas_Object * | elm_separator_add (Evas_Object *parent)
| Add a separator object to `parent`.

## Detailed Description

Separator is a very thin object used to separate other objects.

A separator can be vertical or horizontal.

This widget inherits from the Layout one, so that all the functions acting on it also work for separator objects.

This widget emits the signals coming from Layout.

Separator example is a good example of how to use a separator.

## Function Documentation

## elm_obj_separator_horizontal_set()

EOAPI void elm_obj_separator_horizontal_set | ( | Eo * | obj,
|  | Eina_Bool | horizontal )

Set the horizontal mode of a separator object.

Parameters

  [in] | obj | The object.
  [in] | horizontal | If true, the separator is horizontal

## elm_obj_separator_horizontal_get()

EOAPI Eina_Bool elm_obj_separator_horizontal_get | ( | const Eo * | obj | ) |

Get the horizontal mode of a separator object.

Parameters

  [in] | obj | The object.

Returns
  If true, the separator is horizontal

## elm_separator_add()

Evas_Object * elm_separator_add | ( | Evas_Object * | parent | ) |

Add a separator object to `parent`.

Parameters

  parent | The parent object

Returns
  The separator object, or NULL upon failure

References EINA_SAFETY_ON_NULL_RETURN_VAL.